import * as React from 'react';
import { Coloring, DefaultProps, EnhancedType, ResponsiveStyle, Sizing, Theme } from '../common-types';
import { LinkProps } from './Link';
interface ButtonBaseProps extends Coloring, Sizing {
    width?: ResponsiveStyle;
    color?: string;
    bg?: string;
    active?: boolean;
    square?: boolean;
    disabled?: boolean;
    outline?: boolean;
    plaintext?: boolean;
    underline?: boolean;
    iconElement?: JSX.Element;
}
export interface ButtonAnchorProps extends ButtonBaseProps, LinkProps {
}
export interface ButtonProps extends ButtonBaseProps, DefaultProps {
    type?: 'submit' | 'reset' | 'button';
}
export interface ThemedButtonProps extends ButtonProps {
    theme: Theme;
}
declare const Base: (React.ComponentClass<EnhancedType<ButtonProps>, any> & {
    a: React.ComponentType<EnhancedType<ButtonAnchorProps>>;
}) | (React.FunctionComponent<EnhancedType<ButtonProps>> & {
    a: React.ComponentType<EnhancedType<ButtonAnchorProps>>;
});
export default Base;
