/// <reference types="react" />
import { JSONSchema6 } from 'json-schema';
import { DataTypeEditProps } from '../Filters';
import { InputProps } from '../Input';
import { TextareaProps } from '../Textarea';
export declare const operators: {
    contains: {
        getLabel: (_s: JSONSchema6) => string;
    };
    not_contains: {
        getLabel: (_s: JSONSchema6) => string;
    };
};
declare type OperatorSlug = keyof typeof operators;
interface StringFilter extends JSONSchema6 {
    title: OperatorSlug;
    properties?: {
        [k: string]: {
            not?: {
                contains: {
                    const: string;
                };
            };
            contains?: {
                const: string;
            };
        };
    };
    anyOf?: Array<{
        properties?: {
            [k: string]: {
                not?: {
                    contains: {
                        const: string;
                    };
                };
                contains?: {
                    const: string;
                };
            };
        };
    }>;
}
export declare const decodeFilter: (filter: StringFilter) => {
    field: string;
    operator: "contains" | "not_contains";
    value: string;
} | null;
export declare const createFilter: (field: string, operator: "contains" | "not_contains", value: any, schema: JSONSchema6) => JSONSchema6;
export declare const Edit: ({ onUpdate, slim, ...props }: DataTypeEditProps & TextareaProps & InputProps & {
    slim?: boolean | undefined;
}) => JSX.Element;
export {};
