import { RefObject } from 'react';
import { AlignItemsProps, AlignSelfProps, FlexDirectionProps, FlexProps as StyledFlexProps, FlexWrapProps, JustifyContentProps, OrderProps } from 'styled-system';
import { DefaultProps, EnhancedType } from '../common-types';
export interface BoxProps extends DefaultProps, StyledFlexProps, OrderProps, AlignSelfProps {
    ref?: string | ((instance: any | null) => void) | RefObject<any> | null | undefined;
}
export declare const Box: import("react").ComponentType<EnhancedType<BoxProps>>;
export interface FlexProps extends BoxProps, FlexWrapProps, FlexDirectionProps, AlignItemsProps, JustifyContentProps {
}
export declare const Flex: import("react").ComponentType<EnhancedType<FlexProps>>;
