/// <reference types="react" />
import { DefaultProps, Sizing, Theme } from '../common-types';
export interface InputProps extends DefaultProps, Sizing {
    monospace?: boolean;
    autoComplete?: string;
    autoFocus?: boolean;
    disabled?: boolean;
    form?: string;
    max?: number | string;
    maxLength?: number;
    min?: number | string;
    minLength?: number;
    name?: string;
    placeholder?: string;
    readOnly?: boolean;
    required?: boolean;
    type?: string;
    value?: string | string[] | number;
    pattern?: string;
    invalid?: boolean;
    valid?: boolean;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
}
export interface ThemedInputProps extends InputProps {
    theme: Theme;
}
declare const _default: import("react").ComponentType<import("../common-types").EnhancedType<InputProps>>;
export default _default;
