import * as React from 'react';
import { DefaultProps, EnhancedType, Theme } from '../common-types';
declare type Whitespace = 'normal' | 'nowrap' | 'pre' | 'pre-line' | 'pre-wrap' | 'initial' | 'inherit';
declare type Align = 'left' | 'right' | 'center' | 'justify' | 'justify-all' | 'start' | 'end' | 'match-parent' | 'inherit' | 'initial' | 'unset';
export interface TxtProps extends DefaultProps {
    monospace?: boolean;
    bold?: boolean;
    caps?: boolean;
    whitespace?: Whitespace;
    align?: Align;
}
export interface ThemedTxtProps extends TxtProps {
    theme: Theme;
}
export declare const whitespace: (props: ThemedTxtProps) => {
    whiteSpace: Whitespace;
} | null;
export declare const caps: (props: ThemedTxtProps) => {
    textTransform: string;
    letterSpacing: string;
} | null;
export declare const bold: (props: ThemedTxtProps) => {
    fontWeight: number;
} | null;
export declare const align: {
    [cssProp: string]: string;
};
declare const Base: (React.ComponentClass<EnhancedType<TxtProps>, any> & {
    p: React.ComponentType<EnhancedType<TxtProps>>;
    span: React.ComponentType<EnhancedType<TxtProps>>;
}) | (React.FunctionComponent<EnhancedType<TxtProps>> & {
    p: React.ComponentType<EnhancedType<TxtProps>>;
    span: React.ComponentType<EnhancedType<TxtProps>>;
});
export default Base;
